%global gem_name tidy_ffi

%global rubyabi 1.9.1

Summary: Tidy library interface via FFI
Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT 
URL: http://github.com/libc/tidy_ffi
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby 
Requires: rubygem(ffi) 
Requires: libtidy
BuildRequires: rubygems-devel
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(ffi)
BuildRequires: rubygem(rr)
BuildRequires: libtidy
BuildArch: noarch

%description
Tidy library interface via FFI

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -T -c
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
   

# Remove build leftovers.
rm  %{buildroot}%{gem_instdir}/Manifest
rm  %{buildroot}%{gem_instdir}/Rakefile
rm  %{buildroot}%{gem_instdir}/tidy_ffi.gemspec
rm  %{buildroot}%{gem_instdir}/.gitignore
rm  %{buildroot}%{gem_instdir}/Gemfile
rm  %{buildroot}%{gem_instdir}/.rspec
rm  %{buildroot}%{gem_instdir}/.travis.yml
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%check
pushd %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}
rspec -Ilib spec
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/lib
%{gem_cache}
%{gem_spec} 

%files doc
%doc %{gem_dir}/doc/%{gem_name}-%{version}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/lib/tidy_ffi/interface.rb
%doc %{gem_instdir}/lib/tidy_ffi/lib_tidy.rb
%doc %{gem_instdir}/lib/tidy_ffi/options_container.rb
%doc %{gem_instdir}/lib/tidy_ffi/tidy.rb
%doc %{gem_instdir}/lib/tidy_ffi/tidy_ffi_extensions.rb
%doc %{gem_instdir}/lib/tidy_ffi.rb
%doc %{gem_instdir}/spec

%changelog
* Sun Jun 8 2014 Guillermo Gómez <guillermo.gomez@gmail.com> - 0.1.5-1
- Initial package
